'use strict';

var expect = require('chai').expect;
var df = require('./duration');

describe('Duration Formatter', function () {
  it('should format nanoseconds duration into seconds', function () {
    var duration = 45000000;
    var result = df.formatDurationInSeconds(duration, false);
    expect(result).to.equal('0.05 s');
  });

  it('should format milliseconds duration into seconds', function () {
    var duration = 45;
    var result = df.formatDurationInSeconds(duration, true);
    expect(result).to.equal('0.05 s');
  });

  it('should format nanoseconds duration into seconds and minutes', function () {
    var duration = 90000000000;
    var result = df.formatDurationInMinutesAndSeconds(duration, false);
    expect(result).to.equal('1 m 30 s');
  });

  it('should format milliseconds duration into seconds and minutes', function () {
    var duration = 90000;
    var result = df.formatDurationInMinutesAndSeconds(duration, true);
    expect(result).to.equal('1 m 30 s');
  });
});